Skip to main content
POST
/
v1
/
admin-reports
/
analysis-overview-report
/
run
Run Analysis Overview Report
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/admin-reports/analysis-overview-report/run \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeAmountValue": true,
  "includeEntriesPercentageValue": true,
  "includeAmountPercentageValue": true,
  "includeControlPointAndWeights": true,
  "userTimeZone": "<string>",
  "csvExport": true,
  "analysisIds": [
    "<string>"
  ],
  "riskScoreIds": [
    "<string>"
  ]
}
'
{
  "version": 123,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": "<string>",
  "entityType": "ORGANIZATION",
  "error": "<string>",
  "errorMessage": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
includeAmountValue
boolean

Indicates whether to include amount value. Defaults to false if not specified.

includeEntriesPercentageValue
boolean

Indicates whether to include entries percentage value. Defaults to false if not specified.

includeAmountPercentageValue
boolean

Indicates whether to include amount percentage value. Defaults to false if not specified.

includeControlPointAndWeights
boolean

Indicates whether to include control point and weights. Defaults to false if not specified.

userTimeZone
string

Time zone to use for certain times in the export. Defaults to UTC if not specified or if the provided timezone string value is unable to be determined.

csvExport
boolean

Indicates to export as a CSV file format instead of Excel. Defaults to true if not specified.

analysisIds
string[]

The analysis ids to include. If not provided or empty, all will be included.

riskScoreIds
string[]

The risk score ids being filtered. If not provided, all will be included.

Response

202 - application/json

Accepted

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB,
CONNECTION_TEST,
CONNECTION_TABLES,
DATA_TABLE
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
string

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE,
CONNECTION_TEST_RESULT,
CONNECTION_TABLES_RESULT,
DATA_TABLE
error
string

The reason why the async job failed.

errorMessage
string